Page MenuHomePhabricator

CX2: Machine translation tools should not appear in toolbars inside modal dialogs
Closed, ResolvedPublic

Description

A picture is worth of thousand words (credits to @Petar.petkovic)

I guess the fact that this happens makes sense in a way because it is a toolbar after all, but obviously it shouldn't happen.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterDisable catchall for MT tools

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2018, 3:29 PM
Nikerabbit updated the task description. (Show Details)Jun 7 2018, 3:31 PM
Pginer-WMF triaged this task as Medium priority.Jun 11 2018, 12:15 PM
Pginer-WMF moved this task from Needs Triage to CX2 on the ContentTranslation board.

Keep in mind "Reset translation" appears in VE toolbar as well, not only inside modal dialogs.

Change 440993 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Disable catchall for MT tools

https://gerrit.wikimedia.org/r/440993

Change 440993 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Disable catchall for MT tools

https://gerrit.wikimedia.org/r/440993

Etonkovidova closed this task as Resolved.Jun 26 2018, 12:02 AM
Etonkovidova added a subscriber: Etonkovidova.

Checked the fix in cx2-testing:

Nikerabbit moved this task from QA to Done on the Language-2018-Apr-June board.Jun 26 2018, 5:54 AM
Petar.petkovic removed a subscriber: Petar.petkovic.
Vvjjkkii renamed this task from CX2: Machine translation tools should not appear in toolbars inside modal dialogs to ygbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Nikerabbit as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from ygbaaaaaaa to CX2: Machine translation tools should not appear in toolbars inside modal dialogs.Jul 2 2018, 1:31 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Nikerabbit.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Petar.petkovic.
CommunityTechBot edited subscribers, added: Aklapper; removed: Petar.petkovic.